package tumblr.Android;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;


public class Authentication {
	private String email=null;
	private String password=null;
	public String nome = null;
	public Authentication(String email, String password){
		this.email=email;
		this.password=password;
	}
	
	public boolean validate(){
		String data = "email="+email+"&password="+password;
	    try {
	        // Send the request
	    	URL url = new URL("http://www.tumblr.com/api/authenticate");
	        URLConnection conn = url.openConnection();
	        conn.setDoOutput(true);
	        OutputStreamWriter writer = new OutputStreamWriter(conn.getOutputStream());
	        
	        //write parameters
	        writer.write(data);
	        writer.flush();
	        
	        // Resposta
	        StringBuffer answer = new StringBuffer();
	        BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
	        String line;
	        while ((line = reader.readLine()) != null) {
	            answer.append(line);
	        }
	        writer.close();
	        reader.close();
	        
	        int start  = answer.toString().indexOf("name");
	        String resto  = (String) answer.toString().subSequence(start, answer.toString().length());
	        int init  = resto.indexOf("=")+2;
	        
	        String fullname  = (String) resto.subSequence(init, resto.length());
	        int end  = resto.indexOf(" ")-7;
	        nome  = (String) fullname.subSequence(0, end);
	        android.util.Log.d("debug", nome);
	        
	        //Output
	        System.out.println("AUTENTICADO! XML COM DETALHES DE CONTA:\n");
	        System.out.println(answer.toString());
	        System.out.println("\n\n");
	        
	    } catch (MalformedURLException ex) {
	        //ex.printStackTrace();
	    } catch (IOException ex) {
	        //ex.printStackTrace();
	        return false;
	    }
	    
	    //Falta analisar se e' validada ou nao! Para ja devolve true
		return true;
	}
	
}
