package tumblr.Android;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;


public class WriteTumblr {
	public void postData(String data) throws Exception {
	    try {
	        // Cria URL e OutputStream
	    	URL url = new URL("http://www.tumblr.com/api/write");
	        URLConnection conn = url.openConnection();
	        conn.setDoOutput(true);
	        OutputStreamWriter writer = new OutputStreamWriter(conn.getOutputStream());
	        
	        // Envia data pela output
	        writer.write(data);
	        writer.flush();
	        
	        // Resposta
	        StringBuffer answer = new StringBuffer();
	        BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
	        String line;
	        while ((line = reader.readLine()) != null) {
	            answer.append(line);
	        }
	        writer.close();
	        reader.close();
	        
	        //Imprime resposta
	        System.out.println("Resposta do servidor Tumblr:\n");
	        System.out.println(answer.toString());
	        System.out.println("\n\n");
	        
	    } catch (MalformedURLException ex) {
	        ex.printStackTrace();
	    } catch (IOException ex) {
	        ex.printStackTrace();
	    }
	}
}
